//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop
USERES("SkemaTest.res");
USEUNIT("AnalyseSkema.cpp");
USEUNIT("data.cpp");
USEUNIT("Edderkop.cpp");
USEUNIT("GENERATOR.cpp");
USEUNIT("hold_skema.cpp");
USEUNIT("KontrolListe.cpp");
USEUNIT("laerer_skema.cpp");
USEUNIT("lektion.cpp");
USEUNIT("lokale_skema.cpp");
USEFORM("mainframeUnit.cpp", MainFrame);
USEUNIT("SkemaKontrol.cpp");
USEUNIT("PlanKlasse.cpp");
USEUNIT("Portal.cpp");
USEUNIT("rand.cpp");
USEUNIT("skema.cpp");
USEFORM("SkemaFrameUnit.cpp", SkemaFrame);
USEUNIT("Export.cpp");
USEUNIT("SqlKlasse.cpp");
USEFORM("SqlModulUnit.cpp", SqlModul);
USEUNIT("comm.cpp");
USEFORM("OutputForm.cpp", Out);
USEFORM("PlanListeUnit.cpp", PlanListeForm);
USEFORM("GenererUnit.cpp", GenereringsFrame);
USEUNIT("Statistik.cpp");
USEFORM("AutoGenererUnit.cpp", AutoG);
USEFORM("GenereringsSpeUnit.cpp", GenSpe);
USEUNIT("TagTid1.cpp");
USEFORM("AboutUnit.cpp", About);
USEFILE("KlyngeListe.h");
USEFILE("KlyngeListeTpl.tpl");
//---------------------------------------------------------------------------
WINAPI WinMain(HINSTANCE, HINSTANCE, LPSTR, int)
{
    try
    {
        Application->Initialize();
        Application->Title = "SkemaSuper++";
		Application->CreateForm(__classid(TMainFrame), &MainFrame);
        Application->CreateForm(__classid(TSqlModul), &SqlModul);
        Application->CreateForm(__classid(TOut), &Out);
        Application->CreateForm(__classid(TPlanListeForm), &PlanListeForm);
        Application->CreateForm(__classid(TGenereringsFrame), &GenereringsFrame);
        Application->CreateForm(__classid(TAutoG), &AutoG);
        Application->CreateForm(__classid(TGenSpe), &GenSpe);
        Application->CreateForm(__classid(TAbout), &About);
        Application->Run();
    }
    catch (Exception &exception)
    {
        Application->ShowException(&exception);
    }
    return 0;
}
//---------------------------------------------------------------------------
